package org.jeecg.pm.hikvision.sdk.request.vss.picture;

import com.chanjx.utils.HttpMethod;
import org.apache.http.entity.ContentType;
import org.jeecg.pm.hikvision.sdk.entity.body.vss.picture.HikvisionBlgCapturePic;
import org.jeecg.pm.hikvision.sdk.request.HikvisionAbstractRequest;
import org.jeecg.pm.hikvision.sdk.response.vss.picture.HikvisionBlgCapturePicResponse;
import org.jeecg.pm.hikvision.sdk.result.vss.picture.HikvisionBlgCapturePicResult;

/**
 * <p>
 *
 * </p>
 *
 * @author 陈俊雄
 * @since 2022/3/24
 */
public class HikvisionBlgCapturePicRequest extends HikvisionAbstractRequest<HikvisionBlgCapturePicResponse, HikvisionBlgCapturePicResult> {

    public HikvisionBlgCapturePicRequest(HikvisionBlgCapturePic hikvisionBlgCapturePic) {
        super(hikvisionBlgCapturePic);
    }

    @Override
    public ContentType getContentType() {
        return ContentType.APPLICATION_JSON;
    }

    @Override
    public Class<HikvisionBlgCapturePicResponse> getResponseClazz() {
        return HikvisionBlgCapturePicResponse.class;
    }

    @Override
    public Class<HikvisionBlgCapturePicResult> getResultClazz() {
        return HikvisionBlgCapturePicResult.class;
    }

    @Override
    public HttpMethod getHttpMethod() {
        return HttpMethod.POST;
    }

    @Override
    public String getReqPath() {
        return "/openapi/service/vss/picture/blgCapturePic";
    }
}
